C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION LABPAR(IP)
C*****LABELS PARAMETER GIVEN IN PAR(1) WITH TEXT STRING
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON/CH/F(4),CSR(20),AL(10,20)
	COMMON/IN/NA,A(76),LP,ASEMIC,ASPACE
	COMMON/INPARA/CPAR(10)
	LABPAR=0
	IF(IP.GT.1)GOTO 100
	IF(CPAR(1).GE.0)GOTO 100
	K=-INT(CPAR(1))
	DO 10 I=1,10
	IF(A(I+LP-1).EQ.ASEMIC)GOTO 40
	AL(I,K)=A(I+LP-1)
10	CONTINUE
	LP=LP+10
	DO 20 I=LP,NA
	IF(A(I).EQ.ASEMIC)GOTO 30
20	CONTINUE
	I=NA
30	LP=I+1
	RETURN
40	LP=LP+I
	DO 50 I=I,10
50	AL(I,K)=ASPACE
	RETURN
100	LABPAR=-1
	RETURN
	END
